#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int n, a;
int ans=0;
vector<int> arr;
cin >> n;
for(int i=0; i<n; ++i)
{
    cin >> a;
    arr.push_back(a);
}
sort(arr.begin(), arr.end());
for(int i=0; i<n-2; ++i)
{
    for(int j=i+1; j<n-1; ++j)
    {
        for(int k=j+1; k<n; ++k)
        {
            if(arr[j]%arr[i]==0 && arr[k]%arr[j]==0)
            {
                ans++;
            }
        }
    }
}
cout << ans;
return 0;
}
